import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { SampleComponent } from './sample/sample.component';
import { SampleWithReactComponent } from './sample/sample-with-react.component';
import { SampleService } from './sample/sample.service';
import { SampleSortPipe } from './sample/sample-sort.pipe';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule
  ],
  declarations: [ AppComponent, SampleComponent, SampleWithReactComponent, SampleSortPipe ],
  providers: [ SampleService ],
  bootstrap: [ AppComponent ],
})
export class AppModule {}
